<template>
    <div
        v-if="menuList && menuList.length"
        class="footer-nav"
    >
        <div
            v-for="(item, index) in menuList"
            :key="`${item}-${index}`"
            class="footer-nav__item"
        >
            <router-link
                :to="`/${item}`"
                class="footer-nav__item-link"
            >
                {{ $t(`footer.menu.${item}`) }}
            </router-link>
        </div>
    </div>
</template>

<script>
import FOOTER_MENU from 'const/footerMenu';

export default {
    name: 'footer-nav',
    computed: {
        menuList() {
            return FOOTER_MENU;
        }
    }
}
</script>

<style lang="sass">
    @import '~blocks/footer-nav';
</style>
